Summary: PaX aware and related utilities for ELF binaries
Name: pax-utils
Version: 1.2.2
%define subrel 1
Release: %mkrel 1
URL: http://hardened.gentoo.org/pax-utils.xml
Group: Development/C
License: GPLv2
Source0: http://distfiles.gentoo.org/distfiles/%{name}-%{version}.tar.xz

Patch1:  0001-dumpelf-check-for-invalid-section-entry-sizes.patch
Patch2:  0002-dumpelf-check-for-invalid-program-headers.patch
Patch3:  0003-dumpelf-check-for-invalid-notes.patch
Patch4:  0004-scanelf-check-range-of-hash-bucket.patch
Patch5:  0005-add-helper-for-checking-memory-elf-ranges.patch
Patch6:  0006-tests-rename-files-to-avoid-.py-suffix-on-non-python.patch
Patch7:  0007-pylint-add-a-helper-to-keep-python-code-clean.patch
Patch8:  0008-lddtree-move-parser-logic-into-a-func.patch
Patch9:  0009-paxelf-constify-pax_short_-helpers.patch

# for /usr/bin/lddtree
Requires: pythonegg(2)(pyelftools)

%description
pax-utils is a small set of various PaX aware and related utilities for
ELF binaries. It was written for ELF Q/A on Gentoo systems but can be
used on any distro.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install CP="cp -p" STRIP="echo" S=1
chmod 755 %{buildroot}%{_bindir}/*

%files
%doc BUGS COPYING README.md TODO
%{_bindir}/dumpelf
%{_bindir}/lddtree
%{_bindir}/pspax
%{_bindir}/scanelf
%{_bindir}/scanmacho
%{_bindir}/symtree
%{_mandir}/man1/dumpelf.1*
%{_mandir}/man1/pspax.1*
%{_mandir}/man1/scanelf.1*
%{_mandir}/man1/scanmacho.1*


%changelog
* Wed Sep 20 2017 akien <akien> 1.2.2-1.1.mga6
+ Revision: 1156080
- Add dependency on pyelftools for python-based lddtree (mga#21744)

* Thu Apr 27 2017 neoclust <neoclust> 1.2.2-1.mga6
+ Revision: 1097813
- New version 1.2.2+git patches (mga#17320)

* Wed Feb 03 2016 umeabot <umeabot> 0.8.1-4.mga6
+ Revision: 933567
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 745462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 683358
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 0.8.1-1.mga5
+ Revision: 672617
- new release

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 508906
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 362477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 tv <tv> 0.2.1-1.mga3
+ Revision: 275351
- imported package pax-utils

